Postfix Installation nicht mehr möglich

Postfix, QMail, Sendmail, Dovecot, Cyrus, Courier, Anti-Spam
olli325
Posts: 67
Joined: 2003-05-22 16:02
Location: Idar-Oberstein

Postfix Installation nicht mehr möglich

Post by olli325 » 2004-04-08 03:52

Hallo,
meine Festplatte ist nun nach 2 Tagen wieder abgeraucht :(

Jetzt wollte ich mir grad Postfix 2.0.19 Installieren, laut dem How-To hier, leider funktioniert das ganze jetzt gar nicht mehr.

Wenn ich mit

Code: Select all

make makefiles CCARGS="-DHAS_LDAP -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL "AUXLIBS="-lldap -llber -lpcre -lsasl -lssl -lcrypto"
kompiliere kommt folgendes

Code: Select all

set -e; for i in src/util src/global src/dns src/master src/postfix src/smtpstone src/sendmail src/error src/pickup src/cleanup src/smtpd src/local src/lmtp src/trivial-rewrite src/qmgr src/smtp src/bounce src/pipe src/showq src/postalias src/postcat src/postconf src/postdrop src/postkick src/postlock src/postlog src/postmap src/postqueue src/postsuper src/nqmgr src/qmqpd src/spawn src/flush src/virtual src/proxymap; do 
 (set -e; echo "[$i]"; cd $i; make 'CC=gcc -Wmissing-prototypes -Wformat -DHAS_LDAP -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL AUXLIBS=-lldap -llber -lpcre -lsasl -lssl -lcrypto' update MAKELEVEL=) || exit 1; 
done
[src/util]
gcc -Wmissing-prototypes -Wformat -DHAS_LDAP -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL AUXLIBS=-lldap -llber -lpcre -lsasl -lssl -lcrypto -g -O -I. -DLINUX2 -c attr_scan0.c
gcc: AUXLIBS=-lldap: No such file or directory
make: *** [attr_scan0.o] Error 1
make: *** [update] Error 1
Libs sind alle Installiert.
Jetzt habe ich mal Testweise -lldap bei den AUXLIBS weg gelassen und mit -llper begonnen. Die gleiche Fehlermeldung wieder nur mit =-llper. Das ganze habe ich dann so weiter geführt... immer wieder die gleich-deutende Fehlermeldung.

Kann mir bitte jemand helfen. Bin am verzweifeln.


MfG

Olli

captaincrunch
Userprojekt
Userprojekt
Posts: 7225
Joined: 2002-10-09 14:30
Location: Dorsten

Re: Postfix Installation nicht mehr möglich

Post by captaincrunch » 2004-04-08 08:37

ldap-devel installieren, oder besser den Parameter rauslassen, wenn dein Postfix nicht auf LDAP zugreifen sollen muss.
DebianHowTo
echo "[q]sa[ln0=aln256%Pln256/snlbx]sb729901041524823122snlbxq"|dc

olli325
Posts: 67
Joined: 2003-05-22 16:02
Location: Idar-Oberstein

Re: Postfix Installation nicht mehr möglich

Post by olli325 » 2004-04-08 13:16

Hi Captain,
das was ich an *ldap Installiert habe ist folgendest:
- openldap-libs 1.2.13
- openldap2-client 2.1.4
- openldap2-devel 2.1.4
- openldap2 2.1.4

Und wie gesagt, wenn ich -lldap weglasse und dann das ganze mit -llber weiterführe dann meckert er, dass -llber nicht Installiert sei. Und wenn ich dann bei -lpcre (die ist auch auf jeden Fall Installiert...) beginne, meckert er auch, die sei nicht vorhanden.

MfG

Olli

User avatar
Joe User
Project Manager
Project Manager
Posts: 11578
Joined: 2003-02-27 01:00
Location: Hamburg

Re: Postfix Installation nicht mehr möglich

Post by Joe User » 2004-04-08 17:19

Code: Select all

make makefiles CCARGS="-DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL "AUXLIBS="-lpcre -lsasl -lssl -lcrypto"
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

olli325
Posts: 67
Joined: 2003-05-22 16:02
Location: Idar-Oberstein

Re: Postfix Installation nicht mehr möglich

Post by olli325 » 2004-04-08 17:23

Hi Joe,
danke für die Antwort!!!!!
Ich habe es mit deinem Vorschlag probiert.
Hier die Ausgabe von make:

Code: Select all

set -e; for i in src/util src/global src/dns src/master src/postfix src/smtpstone src/sendmail src/error src/pickup src/cleanup src/smtpd src/local src/lmtp src/trivial-rewrite src/qmgr src/smtp src/bounce src/pipe src/showq src/postalias src/postcat src/postconf src/postdrop src/postkick src/postlock src/postlog src/postmap src/postqueue src/postsuper src/nqmgr src/qmqpd src/spawn src/flush src/virtual src/proxymap; do 
 (set -e; echo "[$i]"; cd $i; make 'CC=gcc -Wmissing-prototypes -Wformat -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL AUXLIBS=-lpcre -lsasl -lssl -lcrypto' update MAKELEVEL=) || exit 1; 
done
[src/util]
gcc -Wmissing-prototypes -Wformat -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL AUXLIBS=-lpcre -lsasl -lssl -lcrypto -g -O -I. -DLINUX2 -c alldig.c
gcc: AUXLIBS=-lpcre: No such file or directory
make: *** [alldig.o] Error 1
make: *** [update] Error 1
Könnte es vielleicht sein das irgendein Link nicht mehr existiert und falsch verweist?

MfG

Olli.

captaincrunch
Userprojekt
Userprojekt
Posts: 7225
Joined: 2002-10-09 14:30
Location: Dorsten

Re: Postfix Installation nicht mehr möglich

Post by captaincrunch » 2004-04-08 17:28

pcre-devel (o.ä.) installieren.
DebianHowTo
echo "[q]sa[ln0=aln256%Pln256/snlbx]sb729901041524823122snlbxq"|dc

olli325
Posts: 67
Joined: 2003-05-22 16:02
Location: Idar-Oberstein

Re: Postfix Installation nicht mehr möglich

Post by olli325 » 2004-04-08 18:02

Hi Captain,
pcre ist installiert.
pcre-devel finde ich in yast leider nicht.
Das verwunderliche ist ja, egal mit welchen Parametern ich die AUXLIB kompilieren möchte, er findet die libs nicht.
Ob es ldap; sasl; pcre oder sonst irgendwas ist.

MfG

Olli

olli325
Posts: 67
Joined: 2003-05-22 16:02
Location: Idar-Oberstein

Re: Postfix Installation nicht mehr möglich

Post by olli325 » 2004-04-08 20:23

Hi Leute,
habe den Fehler fürs erste gefunden.
Es war ein Leerzeichen zuviel:
falscher code

Code: Select all

make makefiles CCARGS="-DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL "AUXLIBS="-lpcre -lsasl -lssl -lcrypto"
richtig

Code: Select all

make makefiles CCARGS="-DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL"AUXLIBS="-lpcre -lsasl -lssl -lcrypto"
Nun habe ich aber folgenden Fehler nochmals

Code: Select all

pcre_free'
collect2: ld returned 1 exit status
make: *** [error] Error 1
make: *** [update] Error 1
MfG

Olli

netzmeister
Posts: 25
Joined: 2003-06-11 00:50
Location: Stuttgart

Re: Postfix Installation nicht mehr möglich

Post by netzmeister » 2004-04-08 21:28

Nimm deine erste Version deines Compilierkommandos und lass die Anführungszeichen vor (und NUR die!) AUXLIBS weg.

make makefiles CCARGS="..." AUXLIBS="..."

Gruss,
Alexander

olli325
Posts: 67
Joined: 2003-05-22 16:02
Location: Idar-Oberstein

Re: Postfix Installation nicht mehr möglich

Post by olli325 » 2004-04-08 21:56

Hi Netzmeister,
vielen Dank.
hab es jetzt so gemacht:

Code: Select all

 make makefiles CCARGS="-DHAS_LDAP -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL" AUXLIBS="-lldap -llber -lpcre -lsasl -lssl -lcrypto"
So hat es einwandfrei funktioniert. :P :P :P

Wie finde ich denn nun heraus, ob die Module auch wirklich einkompiliert worden sind?
Ich hab das mal gelesen...weis aber nicht mehr wo... :oops:

Wie gesagt, vielen Dank nochmal.

MfG

Olli